/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ParametrageView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -2814130050143248790L;




	/** Creates new form TemplateJDialog */
    public ParametrageView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        buttonGroup3 = new javax.swing.ButtonGroup();
        buttonValider = new javax.swing.JButton();
        buttonAnnuler = new javax.swing.JButton();
        exercices = new javax.swing.JComboBox();
        jLabel15 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        btnGetContrepartieReimputation = new javax.swing.JButton();
        tfComptePaiement = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        checkTiersUbFalse = new javax.swing.JRadioButton();
        buttonGetComptePaiement = new javax.swing.JButton();
        checkTiersUbTrue = new javax.swing.JRadioButton();
        buttonGetImputation = new javax.swing.JButton();
        tfDefaultImputation = new javax.swing.JTextField();
        btnGetContrepartieReversement = new javax.swing.JButton();
        tfContrepartieReversements = new javax.swing.JTextField();
        tfContreparteReimputation = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jSeparator4 = new javax.swing.JSeparator();
        jPanel2 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        tfLibelleFournisseur = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tfLibelleModePaiement = new javax.swing.JTextField();
        buttonGetFournisseur = new javax.swing.JButton();
        tfCodeMarche = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfCodeModePaiement = new javax.swing.JTextField();
        tfCodeFournisseur = new javax.swing.JTextField();
        buttonGetModePaiement = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        checkBudgetAuto = new javax.swing.JCheckBox();
        checkCharges = new javax.swing.JCheckBox();
        jPanel3 = new javax.swing.JPanel();
        checkSifacTrue = new javax.swing.JRadioButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        checkMangueTrue = new javax.swing.JRadioButton();
        checkSifacFalse = new javax.swing.JRadioButton();
        jSeparator3 = new javax.swing.JSeparator();
        jLabel13 = new javax.swing.JLabel();
        checkMangueFalse = new javax.swing.JRadioButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        buttonAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonAnnulerActionPerformed(evt);
            }
        });

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel15.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel15.setText("Exercice :");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Contrepartie Reversements :");

        tfComptePaiement.setEditable(false);
        tfComptePaiement.setToolTipText("Code Element");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Compte de classe 5 (Paiement) :");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Contrepartie Ré-imputation :");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Compte d'imputation par défaut  : ");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Compte de tiers à à la composante : ");

        buttonGroup1.add(checkTiersUbFalse);
        checkTiersUbFalse.setText("NON");

        buttonGroup1.add(checkTiersUbTrue);
        checkTiersUbTrue.setText("OUI");
        checkTiersUbTrue.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTiersUbTrueActionPerformed(evt);
            }
        });

        tfDefaultImputation.setEditable(false);
        tfDefaultImputation.setToolTipText("Code Element");

        tfContrepartieReversements.setEditable(false);
        tfContrepartieReversements.setToolTipText("Code Element");

        tfContreparteReimputation.setEditable(false);
        tfContreparteReimputation.setToolTipText("Code Element");

        jLabel14.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel14.setForeground(new java.awt.Color(0, 0, 255));
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel14.setText("COMPTABILITE");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 684, Short.MAX_VALUE)
                .addContainerGap())
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 228, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkTiersUbTrue)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkTiersUbFalse)
                .addContainerGap(356, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 225, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfContreparteReimputation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
                    .add(tfComptePaiement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
                    .add(tfContrepartieReversements, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
                    .add(tfDefaultImputation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(buttonGetImputation)
                    .add(btnGetContrepartieReversement)
                    .add(buttonGetComptePaiement)
                    .add(btnGetContrepartieReimputation))
                .addContainerGap())
            .add(jSeparator4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap(11, Short.MAX_VALUE)
                .add(jLabel14)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel1)
                            .add(tfDefaultImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(10, 10, 10)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfComptePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel3))
                        .add(8, 8, 8)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfContrepartieReversements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9))
                        .add(5, 5, 5)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfContreparteReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(buttonGetImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonGetComptePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(8, 8, 8)
                        .add(btnGetContrepartieReversement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(3, 3, 3)
                        .add(btnGetContrepartieReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(12, 12, 12)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(checkTiersUbTrue)
                    .add(checkTiersUbFalse)))
        );

        jLabel12.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel12.setForeground(new java.awt.Color(0, 51, 255));
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel12.setText("BUDGET");

        tfLibelleFournisseur.setEditable(false);
        tfLibelleFournisseur.setToolTipText("Code Element");

        jLabel4.setText("Fournisseur Paye :");

        tfLibelleModePaiement.setEditable(false);
        tfLibelleModePaiement.setToolTipText("Code Element");

        tfCodeMarche.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodeMarche.setToolTipText("Code Element");

        jLabel6.setText("Code Marché :");

        tfCodeModePaiement.setEditable(false);
        tfCodeModePaiement.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodeModePaiement.setToolTipText("Code Element");

        tfCodeFournisseur.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodeFournisseur.setToolTipText("Code Element");

        jLabel7.setText("Mode paiement Liquidations : ");

        checkBudgetAuto.setText("Déduction automatique des infos bugétaires :");
        checkBudgetAuto.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        checkCharges.setText("Autoriser la modification des % de charges :");
        checkCharges.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(16, 16, 16)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel4)
                            .add(jLabel6))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel7)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)))
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(tfCodeModePaiement)
                    .add(tfCodeMarche)
                    .add(tfCodeFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(6, 6, 6)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfLibelleModePaiement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 411, Short.MAX_VALUE)
                    .add(tfLibelleFournisseur, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 411, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(buttonGetFournisseur)
                    .add(buttonGetModePaiement))
                .addContainerGap())
            .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
            .add(jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkBudgetAuto, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 297, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(391, Short.MAX_VALUE))
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkCharges, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 311, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(377, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(25, 25, 25)
                .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfLibelleFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfCodeFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4))
                        .add(3, 3, 3)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel6)
                            .add(tfCodeMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel7)
                            .add(tfCodeModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfLibelleModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(buttonGetFournisseur, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(buttonGetModePaiement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(checkBudgetAuto)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkCharges)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        buttonGroup2.add(checkSifacTrue);
        checkSifacTrue.setText("OUI");
        checkSifacTrue.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSifacTrueActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Utilisation de ManGUE (RH) :");

        jLabel11.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel11.setForeground(new java.awt.Color(51, 51, 255));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel11.setText("GENERAL");

        buttonGroup3.add(checkMangueTrue);
        checkMangueTrue.setText("OUI");
        checkMangueTrue.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkMangueTrueActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkSifacFalse);
        checkSifacFalse.setText("NON");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Utilisation de SIFAC (GFC) :");

        buttonGroup3.add(checkMangueFalse);
        checkMangueFalse.setText("NON");

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkMangueTrue)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkMangueFalse))
                    .add(jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 674, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jSeparator3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 674, Short.MAX_VALUE)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkSifacTrue)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkSifacFalse)))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel11)
                .add(3, 3, 3)
                .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(checkMangueTrue)
                    .add(checkMangueFalse))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel13)
                    .add(checkSifacTrue)
                    .add(checkSifacFalse))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 137, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 43, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(4, 4, 4)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(30, 30, 30))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-730)/2, (screenSize.height-644)/2, 730, 644);
    }// </editor-fold>//GEN-END:initComponents

private void buttonAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonAnnulerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonAnnulerActionPerformed

private void checkTiersUbTrueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTiersUbTrueActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkTiersUbTrueActionPerformed

private void checkMangueTrueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMangueTrueActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkMangueTrueActionPerformed

private void checkSifacTrueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSifacTrueActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkSifacTrueActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                ParametrageView dialog = new ParametrageView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnGetContrepartieReimputation;
    protected javax.swing.JButton btnGetContrepartieReversement;
    private javax.swing.JButton buttonAnnuler;
    protected javax.swing.JButton buttonGetComptePaiement;
    protected javax.swing.JButton buttonGetFournisseur;
    protected javax.swing.JButton buttonGetImputation;
    protected javax.swing.JButton buttonGetModePaiement;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.ButtonGroup buttonGroup3;
    private javax.swing.JButton buttonValider;
    private javax.swing.JCheckBox checkBudgetAuto;
    private javax.swing.JCheckBox checkCharges;
    private javax.swing.JRadioButton checkMangueFalse;
    private javax.swing.JRadioButton checkMangueTrue;
    private javax.swing.JRadioButton checkSifacFalse;
    private javax.swing.JRadioButton checkSifacTrue;
    private javax.swing.JRadioButton checkTiersUbFalse;
    private javax.swing.JRadioButton checkTiersUbTrue;
    protected javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    protected javax.swing.JTextField tfCodeFournisseur;
    protected javax.swing.JTextField tfCodeMarche;
    protected javax.swing.JTextField tfCodeModePaiement;
    protected javax.swing.JTextField tfComptePaiement;
    protected javax.swing.JTextField tfContreparteReimputation;
    protected javax.swing.JTextField tfContrepartieReversements;
    protected javax.swing.JTextField tfDefaultImputation;
    protected javax.swing.JTextField tfLibelleFournisseur;
    protected javax.swing.JTextField tfLibelleModePaiement;
    // End of variables declaration//GEN-END:variables

    
    private void initGui() {
        
    	buttonValider.setIcon(KakiIcones.ICON_VALID);
    	buttonAnnuler.setIcon(KakiIcones.ICON_CLOSE);

    	buttonGetImputation.setIcon(KakiIcones.ICON_SELECT_16);
    	buttonGetComptePaiement.setIcon(KakiIcones.ICON_SELECT_16);
    	buttonGetFournisseur.setIcon(KakiIcones.ICON_SELECT_16);

    	btnGetContrepartieReimputation.setIcon(KakiIcones.ICON_SELECT_16);
    	btnGetContrepartieReversement.setIcon(KakiIcones.ICON_SELECT_16);

    	buttonGetModePaiement.setIcon(KakiIcones.ICON_SELECT_16);
    }

    public void setListeExercices(NSArray liste) {

        exercices.removeAllItems();
        for (int i=0;i<liste.count();i++)
        	exercices.addItem(liste.objectAtIndex(i));
        
    }

    
	public javax.swing.JButton getButtonGetComptePaiement() {
		return buttonGetComptePaiement;
	}

	public void setButtonGetComptePaiement(
			javax.swing.JButton buttonGetComptePaiement) {
		this.buttonGetComptePaiement = buttonGetComptePaiement;
	}

	public javax.swing.JButton getButtonGetFournisseur() {
		return buttonGetFournisseur;
	}

	public void setButtonGetFournisseur(javax.swing.JButton buttonGetFournisseur) {
		this.buttonGetFournisseur = buttonGetFournisseur;
	}

	public javax.swing.JButton getButtonGetImputation() {
		return buttonGetImputation;
	}

	public void setButtonGetImputation(javax.swing.JButton buttonGetImputation) {
		this.buttonGetImputation = buttonGetImputation;
	}

	public javax.swing.JTextField getTfCodeModePaiement() {
		return tfCodeModePaiement;
	}

	public void setTfCodeModePaiement(javax.swing.JTextField tfCodeModePaiement) {
		this.tfCodeModePaiement = tfCodeModePaiement;
	}

	public javax.swing.JTextField getTfLibelleModePaiement() {
		return tfLibelleModePaiement;
	}

	
	
	public javax.swing.JButton getButtonGetModePaiement() {
		return buttonGetModePaiement;
	}

	public void setButtonGetModePaiement(javax.swing.JButton buttonGetModePaiement) {
		this.buttonGetModePaiement = buttonGetModePaiement;
	}

	public void setTfLibelleModePaiement(
			javax.swing.JTextField tfLibelleModePaiement) {
		this.tfLibelleModePaiement = tfLibelleModePaiement;
	}

	public javax.swing.JRadioButton getCheckTiersUbFalse() {
		return checkTiersUbFalse;
	}

	public void setCheckTiersUbFalse(javax.swing.JRadioButton checkTiersUbFalse) {
		this.checkTiersUbFalse = checkTiersUbFalse;
	}

	public javax.swing.JRadioButton getCheckTiersUbTrue() {
		return checkTiersUbTrue;
	}

	public void setCheckTiersUbTrue(javax.swing.JRadioButton checkTiersUbTrue) {
		this.checkTiersUbTrue = checkTiersUbTrue;
	}

	public javax.swing.JTextField getTfCodeFournisseur() {
		return tfCodeFournisseur;
	}

	public void setTfCodeFournisseur(javax.swing.JTextField tfCodeFournisseur) {
		this.tfCodeFournisseur = tfCodeFournisseur;
	}

	public javax.swing.JTextField getTfCodeMarche() {
		return tfCodeMarche;
	}

	public void setTfCodeMarche(javax.swing.JTextField tfCodeMarche) {
		this.tfCodeMarche = tfCodeMarche;
	}

	public javax.swing.JRadioButton getCheckMangueFalse() {
		return checkMangueFalse;
	}

	public void setCheckMangueFalse(javax.swing.JRadioButton checkMangueFalse) {
		this.checkMangueFalse = checkMangueFalse;
	}

	public javax.swing.JRadioButton getCheckMangueTrue() {
		return checkMangueTrue;
	}

	public void setCheckMangueTrue(javax.swing.JRadioButton checkMangueTrue) {
		this.checkMangueTrue = checkMangueTrue;
	}

	public javax.swing.JTextField getTfComptePaiement() {
		return tfComptePaiement;
	}

	public void setTfComptePaiement(javax.swing.JTextField tfComptePaiement) {
		this.tfComptePaiement = tfComptePaiement;
	}

	public javax.swing.JTextField getTfDefaultImputation() {
		return tfDefaultImputation;
	}

	public void setTfDefaultImputation(javax.swing.JTextField tfDefaultImputation) {
		this.tfDefaultImputation = tfDefaultImputation;
	}

	public javax.swing.JTextField getTfLibelleFournisseur() {
		return tfLibelleFournisseur;
	}

	public void setTfLibelleFournisseur(javax.swing.JTextField tfLibelleFournisseur) {
		this.tfLibelleFournisseur = tfLibelleFournisseur;
	}

	public javax.swing.JButton getButtonAnnuler() {
		return buttonAnnuler;
	}

	public void setButtonAnnuler(javax.swing.JButton buttonAnnuler) {
		this.buttonAnnuler = buttonAnnuler;
	}


	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}

	public javax.swing.JButton getButtonValider() {
		return buttonValider;
	}

	public javax.swing.JButton getBtnGetContrepartieReimputation() {
		return btnGetContrepartieReimputation;
	}

	public void setBtnGetContrepartieReimputation(
			javax.swing.JButton btnGetContrepartieReimputation) {
		this.btnGetContrepartieReimputation = btnGetContrepartieReimputation;
	}

	public javax.swing.JButton getBtnGetContrepartieReversement() {
		return btnGetContrepartieReversement;
	}

	public void setBtnGetContrepartieReversement(
			javax.swing.JButton btnGetContrepartieReversement) {
		this.btnGetContrepartieReversement = btnGetContrepartieReversement;
	}

	public javax.swing.JTextField getTfContreparteReimputation() {
		return tfContreparteReimputation;
	}

	public void setTfContreparteReimputation(
			javax.swing.JTextField tfContreparteReimputation) {
		this.tfContreparteReimputation = tfContreparteReimputation;
	}

	public javax.swing.JTextField getTfContrepartieReversements() {
		return tfContrepartieReversements;
	}

	public void setTfContrepartieReversements(
			javax.swing.JTextField tfContrepartieReversements) {
		this.tfContrepartieReversements = tfContrepartieReversements;
	}

	public void setButtonValider(javax.swing.JButton buttonValider) {
		this.buttonValider = buttonValider;
	}

	public javax.swing.JCheckBox getCheckBudgetAuto() {
		return checkBudgetAuto;
	}

	public void setCheckBudgetAuto(javax.swing.JCheckBox checkBudgetAuto) {
		this.checkBudgetAuto = checkBudgetAuto;
	}

	public javax.swing.JCheckBox getCheckCharges() {
		return checkCharges;
	}

	public void setCheckCharges(javax.swing.JCheckBox checkCharges) {
		this.checkCharges = checkCharges;
	}

	public javax.swing.JRadioButton getCheckSifacFalse() {
		return checkSifacFalse;
	}

	public void setCheckSifacFalse(javax.swing.JRadioButton checkSifacFalse) {
		this.checkSifacFalse = checkSifacFalse;
	}

	public javax.swing.JRadioButton getCheckSifacTrue() {
		return checkSifacTrue;
	}

	public void setCheckSifacTrue(javax.swing.JRadioButton checkSifacTrue) {
		this.checkSifacTrue = checkSifacTrue;
	}

}
